Update Distributed Vxlan Connection
Update a Distributed VXLAN Connection
Updates a specific Distributed VXLAN Connection.
Request
URI
PUT
https://{api_host}/cloudapi/v1/distributedVxlanConnections/{distributedVxlanConnectionId}
COPY
Path Parameters
string
distributedVxlanConnectionId
Required
distributedVxlanConnectionId
Request Body
DistributedVxlanConnection
of type(s)
application/json
Optional
{
"status": "string",
"id": "string",
"name": "string",
"description": "string",
"regionRef": {
"name": "string",
"id": "string"
},
"routeControllerId": "string",
"connectivityType": "string",
"l3Vni": 0,
"routeDistinguisher": "string",
"routeTargets": [
{
"addressFamily": "string",
"exportRouteTargets": [
"string"
],
"importRouteTargets": [
"string"
]
}
],
"dedicatedOrgRef": {
"name": "string",
"id": "string"
},
"ipSpaceRefs": [
{
"name": "string",
"id": "string"
}
],
"backingId": "string"
}
Responses
202
The request have been accepted and the task to monitor the request is in the Location header.
Operation doesn't return any data structure
Code Samples
COPY
curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"l3Vni":"integer","name":"string","regionRef":"object","routeControllerId":"string","routeDistinguisher":"string","routeTargets":["object"]}' https://{api_host}/cloudapi/v1/distributedVxlanConnections/{distributedVxlanConnectionId}
Availability
Added in 9.1.1
On This Page
Distributed Vxlan Connections Operations
GET
Get Distributed Vxlan Connections
POST
Create Distributed Vxlan Connection
GET
Get Distributed Vxlan Connection
PUT
Update Distributed Vxlan Connection
DELETE
Delete Distributed Vxlan Connection